Package twisted :: Package xish :: Module xpath |
[frames | no frames]

## Module twisted.xish.xpath

Classes
`_juserhost_Function` |
`_Location` |
`_not_Function` |
`_text_Function` |
`AttribValue` |
`CompareValue` |
`IndexValue` |
`LiteralValue` |
`XPathQuery` |

Function Summary
| ``_isStr`(s)` Internal method to determine if an object is a string
| ``Function`(fname)` Internal method which selects the function object
| `intern(queryString)`
| `matches(xpathstr, elem)`
| `queryForNodes(xpathstr, elem)`
| `queryForStringList(xpathstr, elem)`

Variable Summary
`dict` | `__internedQueries` = `{"/message[@to='bar']/x[@xmlns='xdel...`

Function Details

### _isStr(s) Internal method to determine if an object is a string

### Function(fname) Internal method which selects the function object

Variable Details

    ### __internedQueries Type: `dict` Value:
        {'/iq/query/digest': <twisted.xish.xpath.XPathQuery instance at 0x8b88\
        534>,
         '/iq/query/password': <twisted.xish.xpath.XPathQuery instance at 0x8b\
        2bf7c>,
         "/message[@to='bar']/x[@xmlns='xdelay'][text()='some&data>']": <twist\
        ed.xish.xpath.XPathQuery instance at 0x8dd37cc>,
         "/stream[@xmlns='etherx']": <twisted.xish.xpath.XPathQuery instance a\
        t 0x8c18384>}

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net